package simpleex.json;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.Assert;

public abstract class AbstractJsonTest {

  private final ObjectMapper objectMapper = new JacksonConfigurator().createObjectMapper();

  public ObjectMapper getObjectMapper() {
    return objectMapper;
  }

  protected void assertEqualsIgnoreWhitespace(final String expected, final String actual)
      throws Exception {
    Assert.assertEquals(expected, actual.replaceAll("\\s+", ""));
  }
}
